
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.Pango
    (     module GI.Pango.Callbacks               ,
    module GI.Pango.Constants               ,
    module GI.Pango.Enums                   ,
    module GI.Pango.Flags                   ,
    module GI.Pango.Functions               ,
    module GI.Pango.Objects                 ,
    module GI.Pango.Structs                 ,


    ) where

import GI.Pango.Callbacks
import GI.Pango.Constants
import GI.Pango.Enums
import GI.Pango.Flags
import GI.Pango.Functions
import GI.Pango.Objects
import GI.Pango.Structs

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.Pango.Types
import GI.Pango.Callbacks


